Bug 79692 - Unneded packages in minimal install (beta2)
Unneded packages in minimal install (beta2)
Product: Red Hat Linux
Classification: Retired
Component: comps (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Powers
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-12-15 05:35 EST by Milan Kerslager
Modified: 2007-04-18 12:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-15 15:04:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Milan Kerslager 2002-12-15 05:35:35 EST
I tryed minimal install (Beta 1 and Beta2).

I had many uneeded packages in the system which should be connected to
any of group selection and not in the base system:

aspell, pspell (why?)
httpd,mod-perl (there is a group with WWW server already)
net-snmp, net-snmp-utils (why?)
tcsh (it is required by postgresql AFAIK)
openssh-server (I don't think that anybody needs any server by default)

A huge set of XFree86 packages (why when I did not select XFree?):

Comment 1 R P Herrold 2002-12-15 23:43:31 EST
The openssh-server has carried a size of less than 400k as far back as I can
check.  I RFE'd for it to appear, in the default install last cycle, as it is
part of the only secure and reasonable method to _manage_ a very minimal install
-- either popping back grapical only tools, or rsyncing in config's.  

As to the others, 'off with their heads' -=- but spare openssh-server, please.
Comment 2 Jeremy Katz 2002-12-16 22:23:54 EST
The X stuff was pulled in by redhat-config-keyboard requiring pygtk2, but that's
fixed now. 

tcsh is required for perl

The others are a distribution level question
Comment 3 Bill Nottingham 2002-12-17 00:08:48 EST
pspell is a requirement of aspell.
aspell is there as a sort of prereq of language support.
ksymoops is there as a useful aid for helping us with bugzilla reports. :)
net-snmp-utils probably isn't necessary.

mod_perl is just bizarre. It's not in comps, so it's getting pulled in via some
wacky dependency.
Comment 4 Jeremy Katz 2002-12-17 16:54:01 EST
mod_perl part fixed in getfullcomps.py
Comment 5 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated
Comment 6 Milan Kerslager 2003-01-06 08:57:42 EST
What is gone (Beta3, Phoebe):
net-snmp, net-snmp-utils
mod_perl, httpd

What is still there:
ksymoops (OK)
mailcap   (why, when there is no program what need it)
openssh-server (OK, I partially underestand, see below)
pspell and aspell* (there is no reason to have them at all)

Why there are XFree packages when I selected NO X (minimal install) and there is
no possibility to run graphical environment?

I see no reason to have XFree components in place. There is no X application to
run and there is a group of X packages (two groups!) they belong to. I easily
can select no group of packages and then select X.

I still see no reason to have pspell and aspell* packages in place. I tryed to
made minimal install with support for all languages and I was able to remove all
pspell and aspell* package without problem. To have XFree and [pa]spell*
packages in minimal install is only true wasting of space.

If you want to force install some of components (ie "recovery of broken system")
you should do it the proper way and do not force unneeded packages to minimal

What I do not underestand too is ssh server. This server has security problems
in the past and I still do not underestand why have this piece of software on
minimal system (there is a group in Anaconda with servers) and truely in *every*
system and *always* started (!). Firewall is not an answer IMHO.
Comment 7 Bill Nottingham 2003-01-06 15:55:43 EST
aspell changed from mandatory to default

XFree is pulled in as a dependency of some package.
Comment 8 Bill Nottingham 2003-01-06 15:59:14 EST
Note that you can customize the package list extensively with kickstart.
Comment 9 Tim Powers 2003-05-15 15:04:22 EDT
This should be fixed in Red Hat Linux 9. Changing the status to "currentrelease".

Note You need to log in before you can comment on or make changes to this bug.